classification
Title: sysconfig.py and distutils.sysconfig.py disagree on directory spelling on Windows
Type: behavior Stage: resolved
Components: Distutils, Windows Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, eryksun, frenzy, htnieman, paul.moore, steve.dower, tim.golden, zach.ware
Priority: low Keywords:

Created on 2015-08-21 11:20 by htnieman, last changed 2021-02-03 18:04 by steve.dower. This issue is now closed.

Messages (3)
msg248949 - (view) Author: Hartmut Niemann (htnieman) Date: 2015-08-21 11:20
Lib\sysconfig.py uses '{installed_base}/Include'
as the include directory on Windows, 

Lib\distutils\sysconfig.py uses 
elif os.name == "nt":
        return os.path.join(prefix, "include")

which is normally harmless because windows file systems
are case-preserving, but case-ignoring, but it leads to
a warning from pyinstaller:
https://github.com/pyinstaller/pyinstaller/issues/783

The directory referred to has a lowercase i (on my machine).

In my opinion both modules should use the spelling
that the installer uses when creating the directories.
msg248959 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2015-08-21 15:00
Within the standard library, I think only the site module uses the top-level sysconfig module, which IIRC it uses to set up sys.path. 

Note that WINDOWS_SCHEME in distutils.command.install uses "Include". Also for virtual environments, venv.EnvBuilder.ensure_directories hard codes "Include".
msg386235 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:04
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:04:25steve.dowersetstatus: open -> closed
resolution: out of date
messages: + msg386235

stage: resolved
2020-10-23 11:19:57frenzysetnosy: + frenzy
2015-08-21 15:00:48eryksunsetpriority: normal -> low

type: behavior
components: + Distutils, Windows
versions: + Python 3.5, Python 3.6
nosy: + eric.araujo, eryksun, dstufft, paul.moore, tim.golden, zach.ware, steve.dower

messages: + msg248959
2015-08-21 11:20:19htniemancreate